import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import java.awt.*;
import java.awt.event.*;

public class Book {
  //Kopf der Buecherausgabe als HTML File
  static String htmlSource ="<html>\n<head>\n<title>Amazon_Result</title>\n</head>\n<body>\n"+
      "<table style=\"text-align: left; width: 523px; height: 209px;\" border=\"1\""+
      "cellpadding=\"2\" cellspacing=\"2\">\n<tr>"+
      "<td style=\"vertical-align: top; text-align: center;\">BILD<br></td>"+
      "<td style=\"vertical-align: top; text-align: center;\">ASIN<br></td>"+
      "<td style=\"vertical-align: top; text-align: center;\">TITEL<br></td>"+
      "<td style=\"vertical-align: top; text-align: center;\">AMAZON PREIS<br>\n</td>\n</tr>\n<tr>";

  //Tail der Buecherausgabe als HTML File
  final static String suffixHTML="\n</table>\n<br>\n</body>\n</html>";


  String url;
  String asin;
  String productName;
  String catalog;
  String author;
  String releaseDate;
  String manufactorer;
  String listPrice;
  String ourPrice;
  String usedPrice;
  String imageUrlMedium;

  public String getURL() {
    return url;
  }

  public String getAsin() {
    return asin;
  }

  public String getProductName() {
    return productName;
  }

  public String getCatalog() {
    return catalog;
  }

  public String getAuthor() {
    return author;
  }

  public String getReleaseDate() {
    return releaseDate;
  }

  public String getManufactorer() {
    return manufactorer;
  }

  public String getListPrice() {
    return listPrice;
  }

  public String getOurPrice() {
    return ourPrice;
  }

  public String getUsedPrice() {
    return listPrice;
  }

  public String getImageUrlMedium() {
    return imageUrlMedium;
  }

  public void setURL(String url) {
    this.url = url;
  }

  public void setAsin(String asin) {
    this.asin = asin;
  }

  public void setProductName(String productName) {
    this.productName = productName;
  }

  public void setCatalog(String catalog) {
    this.catalog = catalog;
  }

  public void setAuthor(String author) {
    this.author = author;
  }

  public void setReleaseDate(String releaseDate) {
    this.releaseDate = releaseDate;
  }

  public void setManufactorer(String manufactorer) {
    this.manufactorer = manufactorer;
  }

  public void setListPrice(String listPrice) {
    this.listPrice = listPrice;
  }

  public void setOurPrice(String ourPrice) {
    this.ourPrice = ourPrice;
  }

  public void setUsedPrice(String UsedPrice) {
    this.usedPrice = usedPrice;
  }

  public void setImageUrlMedium(String imageUrlMedium) {
    this.imageUrlMedium = imageUrlMedium;
  }

  public String toString() {
    return productName + " von " + author + " Preis " + ourPrice;
  }

  public String toHTML(){
/*-----------------------------------------------------------------
    Diese Methode soll ausgewaehlte Buchinformationen entsprechend der
    Abbildung 1. aus dem Uebungsblatt als HTML-String zurueckgeben.
-------------------------------------------------------------------*/
    return "";
  }

  /**
   * Diese statische Methode zeigt den String in (text/html)
   * Format geandert in einem JEditorPane an.
   *
   */
  public static void showHTML(String sContent){
        JFrame frame = new JFrame("AMAZON RESULT");

        JEditorPane editorPane = new JEditorPane();
        editorPane.setEditable(false);
        editorPane.setContentType("text/html");
        htmlSource+=sContent+suffixHTML;
        editorPane.setText(htmlSource);

        JScrollPane editorScrollPane = new JScrollPane(editorPane);
        editorScrollPane.setMinimumSize(new Dimension(200, 100));
        frame.getContentPane().add(editorScrollPane);

        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });

        frame.pack();
        frame.setVisible(true);
    }
}
