import java.util.Stack;
import java.util.Vector;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

//--------------------------------------------
//Importieren Sie die benoetigte SAX Error Klassen
//fuer Aufgabe 4.
//--------------------------------------------


public class SAXBookHandler
    extends DefaultHandler {
  private Stack elementStapel = new Stack();
  private Stack textStapel = new Stack();
  private StringBuffer aktuellerText = null;
  private Vector books = new Vector();
  private Book book = null;

  //Eine XML-Seite besteht aus mehreren Buechern
  //Hier werden alle erzeugten Book Objekte zurueckgegeben
  public Vector getBooks() {
    return books;
  }

  public void startElement(
      String uri,
      String localPart,
      String qName,
      Attributes attributes) throws SAXException {
/*------------------------------------------------------------------
        Hier soll auf ein bestimmtes Ereignis reagiert werden
        und entsprechend neue Book Objekte erzeugt und
        dem books Vector hinzugef�gt werden.
--------------------------------------------------------------------*/
  }

  public void endElement(String uri, String localPart,
                         String qName) throws SAXException {
/*------------------------------------------------------------------
        Hier soll auf bestimmte endElement Ereignisse reagiert werden.
        Benutzen Sie einen Stack (Stapel) wo zwischenzeitlich gesehene
        Informationen abgelegt werden koennen.
        Die Informationen sollen entsprechend, im momentanen Book Objekt,
        abgelegt werden.
--------------------------------------------------------------------*/
  }
  public void characters(char[] chars, 
  		                 int start, 
						 int length)  throws SAXException { 
  	  aktuellerText.append(chars, start, length); 
  }


/*-----------------------  Aufgabe 4 --------------------------------
  Fuer die Aufgabe 4 (Fehlererkennung mittels SAX)
  sollen hier zusaetzlich die entsprechenden SAX Events
  warning,error,fatalError betrachtet werden und
  zu sinnvollen Informationen interpretiert werden.
  Zum testen soll die Datei Fehler_Datei.xml dem SAXParser uebergeben
  werden koennen.
*/

}
