import java.io.IOException;
import java.util.Vector;

import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import com.sun.org.apache.xerces.internal.parsers.SAXParser;

public class Sax {

    public static void main(String[] args) {
        XMLReader reader = new SAXParser();
        SAXBookHandler saxBookHandler = new SAXBookHandler();
        reader.setContentHandler(saxBookHandler);
        reader.setErrorHandler(saxBookHandler);

        // Parsen des Dokuments amazon.xml
        String amazonXML = "amazon.xml";

        try {
            reader.parse(amazonXML);
            Vector books = saxBookHandler.getBooks();
            String htmlContent="";
            for (int i=-1;++i<books.size();){
              htmlContent+=((Book) books.get(i)).toHTML();
            }
            Book.showHTML(htmlContent);
        } catch (SAXException sexc) {
            System.out.println("SAX Error during parsing " +
                sexc.getMessage());
            sexc.printStackTrace();
        } catch (IOException ioexc) {
            System.out.println("I/O Error during parsing " +
                ioexc.getMessage());
            ioexc.printStackTrace();
        } catch (Exception exc) {
            System.out.println("Error during parsing " +
                exc.getMessage());
            exc.printStackTrace();
        }
    }
}
